--  Copyright (c) 2007 Solomon Peachy (pizza@shaftnet.org)

--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.

--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.

--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

----------------------------------------------------------
-- v2.36.B to 2.36.C patch 
----------------------------------------------------------

-- Drop obselete equipment types.

drop view view_filter;
drop view view_flash;
drop view view_scanner;
drop view view_support;
drop view view_lens;
drop view view_filter_type;
drop view view_flash_type;
drop view view_scanner_type;
drop view view_support_type;
drop view view_lens_type;
alter table photo_tech drop column flash;
alter table photo_tech drop column filter;
alter table photo_tech drop column scanner;
alter table photo_tech drop column support;
alter table photo_tech drop column lens;
drop table filter;
drop table filter_type;
drop table flash;
drop table flash_type;
drop table scanner;
drop table scanner_type;
drop table support;
drop table support_type;
drop table lens;
drop table lens_type;
drop sequence filter_id_sequence;
drop sequence filter_type_id_sequence;
drop sequence flash_id_sequence;
drop sequence flash_type_id_sequence;
drop sequence scanner_id_sequence;
drop sequence scanner_type_id_sequence;
drop sequence support_id_sequence;
drop sequence support_type_id_sequence;
drop sequence lens_id_sequence;
drop sequence lens_type_id_sequence;
drop function number_of_filter_references(integer);
drop function number_of_flash_references(integer);
drop function number_of_scanner_references(integer);
drop function number_of_support_references(integer);
drop function number_of_lens_references(integer);

-- version update 
update version set identifier=3, description='2.36 customer release', 
 major=2, minor=36, variation='C';


