<?php

//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

/* This file contains zh_CN strings. */
/* Translation by Geoffrey Lee (geoffreyleekk@gmail.com) */

  /* Formats */

$strings['formats_name'] = '简体中文 (Simplified Chinese)';
$strings['formats_locale_names'] = array('zh_CN.utf8', 'en_US.utf8', 'en_US', 'en', 'eng', 'C');
$strings['formats_encoding'] = 'utf-8';
$strings['formats_lang_xml'] = 'en';
$strings['formats_direction'] = 'ltr';
$strings['formats_full_date'] = 'l d F Y @ g:i:s a';
$strings['formats_date'] = 'j F Y';
$strings['formats_short_date'] = 'j-m-y';
$strings['formats_time'] = 'g:i a';

 
 /* Date stuff */

$dayNames = array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六");
$monthNames = array("", "一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月");

 /* Errors */

$strings['errors_report_bug'] = "报告问题";
$strings['errors_not_owner'] = "你不是此资源的拥有者";
$strings['errors_private'] = "这是一个私人资源";
$strings['errors_protected'] = "这是受保护的资源，但你不是注册客户，或不具备需要的密码";
$strings['errors_insuff_perm'] = "你没有足够的权限进行";
$strings['errors_admin_perm'] = "你需要管理员级权限使用此资源";
$strings['errors_user_perm'] = "你需要用户级权限使用此资源";
$strings['errors_client_perm'] = "你需要订户级权限使用此资源";
$strings['errors_registration_disabled'] = "登记已停止";
$strings['errors_no_user'] = "需要提供用户参数";
$strings['errors_not_client'] = "你不是此用户的已注册订户";
$strings['errors_invalid_login'] = "无效的登录，请再试一次";
$strings['errors_invalid_email'] = "没有电子邮件地址关联的用户";
$strings['errors_disabled_account'] = "你的帐户已被禁用";
$strings['errors_install_enabled'] = "安装程式被设定启用。请设定 config_site.php 内的 \$install_enabled = 0 停用安装程序。继续让它启用是一个重大的安全隐患！";
$strings['errors_default_admin'] = "你使用的是默认的管理员帐户，并没有改变它的默认密码。这是一个重大的安全隐患！";
$strings['errors_failed_volume'] = "在图像库内无法存取现存或创建一个新的卷册";
$strings['errors_not_folder_owner'] = "这个目标文件夹不属於你";
$strings['errors_quota_space_full'] = "你的帐户已达到了存储空间最大配额";
$strings['errors_quota_count_full'] = "你的帐户已达到了文件数量最大限额";
$strings['errors_db_insert_failed'] = "更新数据库失败";
$strings['errors_bulk_upload_disabled'] = "此帐户不许批量上传";
$strings['errors_file_upload_disabled'] = "PHP 设定文件禁止文件上传";
$strings['errors_exiftool_not_installed'] = "ExifTool 没有安装。不能读取相片上的拍摄数据";
$strings['errors_exiftool_failed'] = "ExitTool 执行失败。不能读取相片上的拍摄数据";
$strings['errors_no_such_folder'] = "没有此文件夹";
$strings['errors_no_such_photo'] = "没有此相片";
$strings['errors_no_such_album'] = "没有此相簿";
$strings['errors_cant_open_volume'] = "无法打开已储存的相片卷册";
$strings['errors_cant_link_volume'] = "无法关连已储存的相片卷册";
$strings['errors_cant_rename_volume'] = "无法更改相片卷册的名称";
$strings['errors_invalid_options'] = "无效的操作选项";
$strings['errors_password_mismatch'] = "密码不匹配";
$strings['errors_old_password_needed'] = "需要旧密码";
$strings['errors_password_change_failed'] = "密码更改失败";
$strings['errors_name_mandatory'] = "姓和名是必需的";
$strings['errors_email_mandatory'] = "电邮地址是必需的";
$strings['errors_invalid_file'] = "指定的是无效文件";
$strings['errors_names_mandatory'] = "姓和名是必需的";
$strings['errors_username_registered'] = "用户名称已被注册";
$strings['errors_file_not_found'] = "文件不存在";
$strings['errors_iptc_not_implemented'] = "暂时不支援相片内插入 IPTC";
$strings['errors_failed_temp_file_removal'] = "移除暂存文件失败";
$strings['errors_already_rated'] = "你已对这相片评级";
$strings['errors_delete_master'] = "你不能删除主要(原拍)版本";
$strings['errors_illegal_name'] = "你给了这个物件一个不合法的名称";
$strings['errors_xml_error'] = "XML 错误: %d %s 在文件 data.xml 行数 %d";
$strings['errors_registered'] = "用户名称已注册。请登入";

 /* Login page strings */

$strings['login_email_prompt'] = "请输入注册时使用的电邮地址，如电邮地址吻合，我们会寄出登入资料";
$strings['login_logout_prompt'] = "如想登出，请按下面的按钮。这会完结本使用期和删除 cookies";
$strings['login_login_prompt'] = "登入获取使用权限";

$strings['login_email_sent'] = "你的登入资料已寄出";
$strings['login_logged_in_as'] = "你已登入为 ";
$strings['login_email_prep'] = "正在准备你的登入资料申请";
$strings['login_auto_login'] = "保存我的登入状态";
 
$strings['login_admin_account'] = "你的是 管理员 户口";
$strings['login_user_account'] = "你的是 用户 户口";
$strings['login_client_account'] = "你的是 订户 户口";
$strings['login_disabled_account'] = "户口已被冻结";

$strings['login_user_register'] = "如想申请户口，请在此注册";
$strings['login_forgot_password'] = "如已忘记用户名称或密码，请按";
$strings['login_email_warning'] = "请确定电邮地址没出错，因登入密码会寄至此电邮地址";

 /* User page */
$strings['users_select'] = "选择用户";
$strings['users_my_folders'] = "我的文件夹和相簿";
$strings['users_display'] = "显示用户";
$strings['users_registered_customer'] = "是你的一个订户";
$strings['users_register_prompt'] = "如你喜欢这些相片，你可登记成为订户观看他保护的相片";
$strings['users_subscribe_prompt'] = "订阅及成为此用户的订户";
$strings['users_make_client'] = "注册此用户为你的订户";

$strings['users_you_have_photos'] = '你有 %d 幅相片在 %d 个文件夹和 %d 个相簿';

$strings['users_add_subscription'] = '加入订阅';
$strings['users_del_subscription'] = '取消订阅';
$strings['users_date_subscription'] = '订阅日期';

$strings['users_confirm_subscription'] = '通过订阅，你会将以上的联络资料给与 ';

 /* Searching */
$strings['search_search_string_prompt'] = "输入想要寻找的字词";
$strings['search_search_user'] = "寻找指定用户的相片或文件夹";

$strings['search_photos'] = "相片";
$strings['search_folders'] = "文件夹 &amp; 相簿";
$strings['search_users'] = "用户";
$strings['search_string'] = "在下面打入关键字词";
$strings['search_ignore_keywords'] = "会忽略以下关键字词";
$strings['search_use_quotes'] = "用 引号 强制性包括寻找这些字词";
$strings['search_albums_found'] = "找到相簿和文件夹";
$strings['search_display_users'] = "显示用户";
$strings['search_no_matches'] = "找不到吻合的";
$strings['search_searched_for'] = "在数据库寻找";
$strings['search_union'] = "或左面";
$strings['search_intersect'] = "和左面";
$strings['search_displaying'] = '显示相片';
$strings['search_date_range'] = '日期范围';
$strings['search_masters_only'] = '只包括原拍相片';

 /* Admin stuff */
$strings['admin_image_repository'] = '相片储存库';
$strings['admin_new_user_prefs'] = '新用户偏好';
$strings['admin_users_clients'] = '用户和订户';
$strings['admin_front_page'] = '首页';
$strings['admin_avail_disk_space'] = '可用硬碟空间';
$strings['admin_delete_user'] = '删除会员';
$strings['admin_edit_user'] = '编辑会员';
$strings['admin_edit_volume'] = '编辑相片储存库卷册';

 /* Label stuff */




 /* Photo info stuff */
$strings['photo_geolocation'] = '地理位置';
$strings['photo_latitude'] = '纬度';
$strings['photo_longitude'] = '经度';
$strings['photo_altitude'] = '海拔高度';
$strings['photo_direction'] = '方向';
$strings['photo_no_title'] = '没有标题';

$strings['photo_hidden_path'] = '文件路径隐藏';
$strings['photo_from_folder'] = '这相片来自';
$strings['photo_album_descr'] = '相簿说明';
$strings['photo_folder_descr'] = '文件夹说明';
$strings['photo_album_added'] = '加入相簿日期';
$strings['photo_albums'] = '也在相簿';
$strings['photo_full_exif'] = '显示所有储存的 EXIF 资料';
$strings['photo_full_exif_dump'] = '从相片建立新的 EXIF 资料';

$strings['photo_details'] = '详情';
$strings['photo_technical'] = '技术资料';
$strings['photo_versions'] = '版本';
$strings['photo_rating'] = '评分';
$strings['photo_myself'] = '自己';
$strings['photo_ratings'] = '评分';

$strings['photo_dimensions'] = '尺寸';

$strings['photo_add_version'] = '加入版本';
$strings['photo_add_rating'] = '加入相片评分';

$strings['photo_identifier'] = '相片识别码';

$strings['photo_purchase'] = '购买此相片';

$strings['photo_rating_text'] = '你的评分是 %s';

$strings['photo_sizes'] = '可选择尺寸';

/* User stuff */
$strings['user_first_name'] = '名';
$strings['user_last_name'] = '姓';
$strings['user_company'] = '公司';
$strings['user_address'] = '地址';
$strings['user_city'] = '城市';
$strings['user_post_code'] = '邮政编码';
$strings['user_state'] = '省';
$strings['user_country'] = '国家';
$strings['user_email'] = '电邮地址';
$strings['user_web'] = '网址';
$strings['user_phone'] = '电话';
$strings['user_registration_text'] = '粗体字项目是必需填的';

$strings['user_identification'] = '用户';
$strings['user_contact'] = '联络资料';
$strings['user_calendar'] = '行事历';
$strings['user_search_engine'] = '搜寻器';
$strings['user_photo_browser'] = '相片浏览';
$strings['user_photo_upload'] = '上载相片';
$strings['user_printing'] = '打印';

$strings['user_del_client'] = '移除订户';
$strings['user_edit_client'] = '编辑订户';

$strings['user_hide'] = '不显示在用户选择中';

 /* Profile */
$strings['profile_id_no'] = "识别码 #";
$strings['profile_serial'] = "序列号";
$strings['profile_model'] = "型号";
$strings['profile_variation'] = "差异";
$strings['profile_new'] = "全新?";
$strings['profile_purchased'] = "购买日期";
$strings['profile_ignore_comment'] = "忽略评语";
$strings['profile_image_count'] = "相片数量";
$strings['profile_icc_profile'] = "ICC 描绘文件";
$strings['generic_iso'] = "ISO 感光速度";
$strings['profile_manufacturer'] = '制造商';

$strings['profile_view'] = "观看一个 %s";
$strings['profile_add'] = "加入一个新 %s";
$strings['profile_edit'] = "更改一个 %s";
$strings['profile_delete'] = "移除一个 %s";
$strings['profile_none_found'] = '没有找到 %s 种类';
$strings['profile_new_type'] = '新的 %s 种类';
$strings['profile_edit_type'] = "编辑一个 %s 种类";
$strings['profile_specific_data'] = '%s 指定的资料';
$strings['profile_must_add_manufacturers'] = "你要加入一个新的 %s 前先要加入制造商";
$strings['profile_all'] = "所有系统内的 %s";
$strings['profile_quality'] = "质量";

/* Settings */
$strings['profile_week_begins'] = "一周的第一天";
$strings['profile_start_hour'] = "开始时间";
$strings['profile_end_hour'] = "结束时间";
$strings['profile_default_engine'] = "预设搜寻方法";
$strings['profile_enable_stemming'] = "Enable stemming";
$strings['profile_popup_enable'] = "弹出式相片资料";
$strings['profile_photos_slide'] = "每页相片数 (缩图检视)";
$strings['profile_photos_list'] = "每页相片数 (列表检视)";
$strings['profile_default_view'] = "预设检视模式";
$strings['profile_default_image_sort'] = "预设相片排序方法";
$strings['profile_default_folder_sort'] = "预设文件夹排序方法";
$strings['profile_upload_options'] = "上载相片选项";
$strings['profile_thumbnail'] = "缩图";
$strings['profile_preview'] = "预览";
$strings['profile_gamma'] = "Gamma";
$strings['profile_sharpening'] = "锐利度 sharpen radius x sigma + amount + threshold";
$strings['profile_border'] = "图框 border width x height &amp; color";
$strings['profile_format'] = "格式";
$strings['profile_resolution'] = '最大解像度';
$strings['profile_colorspace'] = "色彩空间";
$strings['profile_metadata'] = "汇入 metadata (诠释资料)";
$strings['profile_raw_options'] = "RAW 解码选项";
$strings['profile_raw_decoder'] = "RAW 解码偏好";
$strings['profile_raw_denoise'] = "RAW 除噪临界值";
$strings['profile_jpgfromraw'] = "汇入相片内的预览图";
$strings['profile_white_balance'] = "白平衡";
$strings['profile_bitdepth'] = "位元深度";
$strings['profile_brightness'] = "亮度 (dcraw)";
$strings['profile_raw_gamma'] = "Gamma (ufraw)";
$strings['profile_raw_gamma_lin'] = "Gamma 线性 (ufraw)";
$strings['profile_watermark_options'] = "水印选项";
$strings['profile_watermark_photo'] = "水印来源相片";
$strings['profile_watermark_brightness'] = "水印亮度";
$strings['profile_watermark_mask'] = "水印位置";
$strings['profile_print_format'] = "预设打印格式";
$strings['profile_print_paper'] = "预设纸张格式";

$strings['profile_aperture_focal'] = "光圈 &amp; 焦距";
$strings['profile_exiftool_id'] = "ExifTool LensID";

 /* Searches */
$strings['search_gen_text'] = '一般(文字)';
$strings['search_adv_text'] = '进阶(文字)';
$strings['search_img_layout'] = '相片版面编排';
$strings['search_img_color'] = '相片颜色';
$strings['search_tags'] = '标签';

 /* Actions */
$strings['generic_go_to_f'] = '转到文件夹';
$strings['generic_go_to_a'] = '转到相簿';
$strings['generic_link_to_a'] = '链接到相簿';
$strings['generic_move_to_f'] = '移动到文件夹';
$strings['generic_move_to_a'] = '移动到相簿';
$strings['generic_bulk_update'] = '批量更新';
$strings['generic_set_thumb_f'] = '设为文件夹图片';
$strings['generic_set_thumb_a'] = '设为相簿图片';
$strings['generic_keep_thumb'] = '保存缩图';

/* Spooler */
$strings['spool_name'] = '中介空间';
$strings['spool_photos_in'] = '中介空间内的相片';
$strings['spool_view'] = '观看中介空间';
$strings['spool_empty'] = '清空中介空间';

/* Exports */
$strings['export_exporting'] = '汇出 %s 相片...';
$strings['export_close_xml'] = '关闭 XML 说明文件';
$strings['export_create_xml'] = '创建 XML 说明文件';
$strings['export_append_xml'] = '加入资料到 XML 说明文件';
$strings['export_image'] = '汇出相片 #';
$strings['export_skipped'] = '相片 <strong>%s</strong> 被省略';
$strings['export_adding'] = '文件 <strong>%s</strong> 被加入汇出';
$strings['export_creating_archive'] = '创建压缩文件';
$strings['export_finished'] = '汇出完成';
$strings['export_removing'] = '移除暂存文件 <strong>%s</strong>';
$strings['export_download'] = '按 %s 存取你的汇出文件';
$strings['export_format'] = '汇出文件格式';

 /* Tools */
$strings['tools_xml_template_generator'] = 'XML 样板文件产生器';
$strings['tools_xml_converter'] = 'XML 文件转换器';
$strings['tools_shop_item_generator'] = '购买项目产生器';
$strings['tools_xml_template_file'] = 'XML 样板文件';
$strings['tools_regenerate_thumb'] = '重建缩图和预览';
$strings['tools_create_shop_items'] = '产生购买项目';
$strings['tools_remove_all_in_specified'] = '移除所有选择了的购买项目';
$strings['tools_fill_in_image_details'] = '加入相片资料预设值';
$strings['tools_base_file'] = '基本文件名称';
$strings['tools_file_format'] = '文件格式。例如：jpg, gif, ...';
$strings['tools_base_name'] = "前置的文件名称。例如：'DSC_'";
$strings['tools_digits'] = "文件名称位数。例如：'DSC_0026' 是四位数";
$strings['tools_start_num'] = "开始数目";
$strings['tools_start_num_text'] = "第一幅相片的文件数目";
$strings['tools_num_photos'] = "相片数目";
$strings['tools_num_photos_text'] = '创建的 XML 文件包括多少幅相片';
$strings['tools_num_photos_updated'] = "更新了的相片数目";
$strings['tools_num_photos_indexed'] = "索引了的相片数目";
$strings['tools_regenerating_images'] = "重建相片缩图和预览";

$strings['tools_source_file'] = "请指定来源文件";
$strings['tools_select_lens'] = "有些相片根据焦距符合多於一个镜头，请在下面明确指定";


 /* Datebook */
$strings['datebook_client'] = '订户';
$strings['datebook_clients'] = '订户';
$strings['datebook_client_remark'] = "订户备注";
$strings['datebook_pending_orders'] = '等候处理订单';
$strings['datebook_order'] = '订购';
$strings['datebook_value'] = '数值';
$strings['datebook_shipments'] = '运送';
$strings['datebook_quantity'] = '数量';
$strings['datebook_i_am_client_of'] = '我是下列用户的订户';
$strings['datebook_my_contacts'] = '我的联络清单';

$strings['datebook_day'] = '日视图';
$strings['datebook_week'] = '周视图';
$strings['datebook_week2'] = '周';
$strings['datebook_month'] = '月视图';
$strings['datebook_goto'] = '移至';
$strings['datebook_today'] = '今日';
$strings['datebook_this_week'] = '本周';
$strings['datebook_this_month'] = '本月';
$strings['datebook_no_events'] = '这天清闲';
$strings['datebook_event'] = '行事历事件';
$strings['datebook_date'] = '事件日期';
$strings['datebook_start'] = '开始时间';
$strings['datebook_end'] = '结束时间';
$strings['datebook_time'] = '事件时间';

$strings['datebook_adjust_date'] = "按下鼠标调整日期";
$strings['datebook_set_date'] = "按下鼠标设定日期";
$strings['datebook_blank'] = "~ 空白 ~";


 /* Importing */

$strings['import_file_selector'] = '文件选择器';
$strings['import_file'] = '上载文件';
$strings['import_folder'] = '至文件夹';
$strings['import_metadata'] = 'Metadata (诠释资料) 来源优先次序';
$strings['import_import_last_master'] = '是否一套之最後一幅相片是原拍(主)相片？';
$strings['import_default_props'] = '预设相片性质';
$strings['import_default_data'] = '预设拍摄数据';
$strings['import_max_size'] = '最大上载文件大小';
$strings['import_local_bulk_path'] = '从本地路径汇入';

$strings['import_storage_location'] = '储存位置';
$strings['import_storage_location_id'] = '位置识别码 -- 会按情况自动加 1';
$strings['import_storage_location_index'] = '位置索引 -- 每幅相片会自动加 1';
$strings['import_storage_location_size'] = '位置大小 -- 识别码超过这数目会自动加 1';

$strings['import_xml_error'] = '%s, XML 错误：%d %s 在文件 %s 第 %d 行';
$strings['import_extracting_metadata'] = '正在抽取 Metadata (诠释资料)';
$strings['import_import_photos'] = '汇入相片';
$strings['import_edit_photo'] = '编辑相片';
$strings['import_no_more_uploads'] = '不可以再上载';
$strings['import_cleaning_up'] = '清理中';
$strings['import_generating_thumb'] = '创建缩图中';
$strings['import_generating_preview'] = '创建预览图中';
$strings['import_generating_preview2'] = '创建预览图2中';
$strings['import_generating_preview3'] = '创建预览图3中';
$strings['import_generating_full'] = '创建原大图中';
$strings['import_transferring_metadata'] = '传输 Metadata (诠释资料) 中';
$strings['import_watermarking'] = '加入水印中';
$strings['import_complete'] = '相片汇入完结';
$strings['import_all_complete'] = '全部相片已汇入';
$strings['import_all_queued'] = '正等待汇入的相片';
$strings['import_moving_file_to_tmp'] = '正在将已上载文件移至暂存目录';

$strings['import_copying_into_repo'] = '复制原拍相片 <strong>%s</strong> 至储存库';
$strings['import_decoding_raw_using'] = '使用 <em>%s</em> 解码 RAW 图片';
$strings['import_importing_from_folder'] = "从 <strong>'%s'</strong> 汇入图片";
$strings['import_importing_into_folder'] = "汇入 <strong>'%s'</strong> (%s) 至文件夹 %s";  
$strings['import_queueing'] = "<strong>'%s'</strong> (%s) 排队等候汇入";
$strings['import_importing_new_version'] = "汇入 <strong>'%s'</strong> (%s) 作为 %s 的新版本";
$strings['import_creating_temp_dir'] = '创建暂存目录';
$strings['import_creating_subfolder'] = "创建新副目录 <strong>'%s'</strong>";

$strings['import_keywords'] = '关键字，用 分号 分开';
$strings['import_image_to_add'] = '要加入的相片';
$strings['import_replace_with'] = '将相片替代为';
$strings['import_uncompress'] = '解压中';
$strings['import_validating_xml'] = '验证 <b>data.xml</b> 中';
$strings['import_replace_in_album'] = '替代相簿中的旧原拍(主)相片？';
$strings['import_remaining'] = '还有相片';
$strings['import_results'] = '已汇入相片';
$strings['import_log'] = '汇入纪录档';

 /* Generic stuff */

$strings['generic_username'] = "用户名称";
$strings['generic_password'] = "密码";
$strings['generic_password_again'] = "密码 (确认)";
$strings['generic_password_old'] = "密码 (现用)";
$strings['generic_resource_password'] = "资源密码";
$strings['generic_return'] = "返回";
$strings['generic_submit'] = "提交申请";
$strings['generic_here'] = "此处";
$strings['generic_login'] = '登入';
$strings['generic_user_registration'] = '用户注册';
$strings['generic_clear'] = '清除';
$strings['generic_cancel'] = '取消';
$strings['generic_order_by'] = '排序方法';
$strings['generic_logout'] = '登出';
$strings['generic_register'] = '注册';
$strings['generic_users'] = '用户';
$strings['generic_subscribe'] = '订阅';
$strings['generic_search'] = '搜寻';
$strings['generic_help'] = '帮助';
$strings['generic_parent'] = '上层';
$strings['generic_description'] = '说明';
$strings['generic_add_photos'] = '加入相片';
$strings['generic_add_manufacturer'] = '加入制造商';
$strings['generic_add_duplicate'] = '加入副本';
$strings['generic_add_to_spool'] = '加至中介空间 (Spool)';
$strings['generic_list_view'] = '清单检视';
$strings['generic_slide_view'] = '缩图检视';

$strings['generic_all_users'] = '全部用户';

$strings['generic_save_changes'] = '储存更改';
$strings['generic_confirm_delete'] = '确认删除';
$strings['generic_confirm_purchase'] = '确认购买';
$strings['generic_confirm_subscription'] = '确认订阅';
$strings['generic_add_selection_to_basket'] = '将选择加至购物篮';
$strings['generic_update_basket'] = '更新购物篮';
$strings['generic_view_basket'] = '检视购物篮';
$strings['generic_set_as_watermark'] = '设为水印';

$strings['generic_client_name'] = '订户名称';
$strings['generic_status'] = '状态';
$strings['generic_trusted'] = '信任';
$strings['generic_reg_date'] = '注册日期';

$strings['generic_my_folders'] = '我的文件夹';
$strings['generic_my_albums'] = '我的相簿';
$strings['generic_my_datebook'] = '我的行事历';
$strings['generic_my_profile'] = '我的装备';
$strings['generic_my_settings'] = '我的设定';
$strings['generic_my_tools'] = '我的工具';
$strings['generic_my_basket'] = '我的购物篮';
$strings['generic_admin'] = '管理';

$strings['generic_volume'] = '卷册';
$strings['generic_current'] = '使用中';
$strings['generic_max_size'] = '最大容量';
$strings['generic_size'] = '容量';
$strings['generic_files'] = '文件';
$strings['generic_subdirs'] = '副目录';
$strings['generic_last_mod'] = '最後更改';

$strings['generic_tools'] = '工具';
$strings['generic_master'] = '正本';

$strings['generic_view'] = '检视';
$strings['generic_edit'] = '编辑';
$strings['generic_delete'] = '移除';
$strings['generic_no'] = '否';
$strings['generic_yes'] = '是';

$strings['generic_add'] = '加入';
$strings['generic_and'] = '和';
$strings['generic_with'] = '与';
$strings['generic_in'] = '在';
$strings['generic_of'] = '共';

$strings['generic_refs'] = '参考';

$strings['generic_add_versions'] = '其他的版本';
$strings['generic_members_storing'] = '已储存的会员';

$strings['generic_public'] = '公开的';
$strings['generic_private'] = '私人的';
$strings['generic_protected'] = '保护的';

$strings['generic_pending'] = '等批';
$strings['generic_accepted'] = '接纳';
$strings['generic_rejected'] = '拒绝';

$strings['generic_skip'] = '跳过';
$strings['generic_first'] = '第一';
$strings['generic_second'] = '第二';
$strings['generic_third'] = '第三';
$strings['generic_next'] = '下一幅';
$strings['generic_back'] = '退回';
$strings['generic_previous'] = '上一幅';
$strings['generic_last'] = '最後';

$strings['generic_pixels'] = '像素';
$strings['generic_language'] = '语言';
$strings['generic_theme'] = '主题';

$strings['generic_tray'] = '公文盘';
$strings['generic_cdr'] = '光碟';
$strings['generic_album'] = '相簿';

$strings['generic_all'] = '全部';
$strings['generic_lens'] = '镜头';
$strings['generic_lenses'] = '镜头';
$strings['generic_camera'] = '相机';
$strings['generic_cameras'] = '相机';
$strings['generic_flash'] = '闪灯';
$strings['generic_flashes'] = '闪灯';
$strings['generic_film'] = '菲林';
$strings['generic_films'] = '菲林';
$strings['generic_filter'] = '滤镜';
$strings['generic_filters'] = '滤镜';
$strings['generic_scanner'] = '扫描器';
$strings['generic_scanners'] = '扫描器';
$strings['generic_support'] = '支援';
$strings['generic_supports'] = '支援';
$strings['generic_manufacturer'] = '制造商';
$strings['generic_manufacturers'] = '制造商';
$strings['generic_paper'] = '纸张';
$strings['generic_locations'] = '地点';
$strings['generic_image'] = '相片';
$strings['generic_barcode'] = '条形码';

$strings['generic_album_name'] = '相簿名称';
$strings['generic_all_albums'] = '全部相簿';

$strings['generic_add_album'] = '增加相簿';
$strings['generic_edit_album'] = '编辑相簿';
$strings['generic_delete_album'] = '删除相簿';
$strings['generic_add_folder'] = '增加文件夹';
$strings['generic_edit_folder'] = '编辑文件夹';
$strings['generic_delete_folder'] = '删除文件夹';

$strings['generic_all_folders'] = '全部文件夹';

$strings['generic_user'] = '用户';
$strings['generic_administrator'] = '管理员';

$strings['generic_none'] = '没指定';
$strings['generic_name'] = '名称';
$strings['generic_photos'] = '相片';
$strings['generic_albums'] = '相簿';
$strings['generic_folder'] = '文件夹';
$strings['generic_folders'] = '文件夹';

$strings['generic_photo'] = '相片';

$strings['generic_folder_name'] = '文件夹名称';
$strings['generic_subfolders'] = '副文件夹';
$strings['generic_subalbums'] = '副相簿';
$strings['generic_equipment'] = '装备';
$strings['generic_space'] = '空间';
$strings['generic_type'] = '种类';
$strings['generic_types'] = '种类';
$strings['generic_bulk_upload'] = '批量上载';
$strings['generic_shop'] = '商店';
$strings['generic_quota_count'] = '配额数目';
$strings['generic_quota_size'] = '配额大小';
$strings['generic_show_ads'] = '显示广告';
$strings['generic_member_since'] = '会籍始於';
$strings['generic_last_login'] = '最後登入';
$strings['generic_default_paper'] = '预设纸张';

$strings['generic_page'] = '页';

$strings['generic_per_page'] = '每页数目';
$strings['generic_display_all'] = '显示全部';
$strings['generic_display_album'] = '显示相簿';
$strings['generic_display_folder'] = '显示文件夹';
$strings['generic_displaying'] = '显示';

$strings['generic_embedded'] = '嵌入式';
$strings['generic_unlimited'] = '无限';

$strings['generic_enabled'] = '启用';
$strings['generic_disabled'] = '停用';

$strings['generic_unknown'] = '未知';
$strings['generic_trash'] = '回收筒';
$strings['generic_orphanage'] = '孤儿院';

$strings['generic_empty_trash'] = '清空回收筒';
$strings['generic_is_empty'] = '没有可检视的相片';

$strings['generic_print'] = '打印';
$strings['generic_brochure'] = '小册子';
$strings['generic_empty'] = '空';
$strings['generic_plain'] = '纯文字';

$strings['generic_export'] = '汇出';
$strings['generic_photos_only'] = '只有相片';
$strings['generic_photos_xml'] = '相片和相关 XML 文件';

$strings['generic_rotate'] = '旋转';
$strings['generic_rot_90'] = '右转90度';
$strings['generic_rot_270'] = '左转90度';
$strings['generic_rot_180'] = '180度反转';
$strings['generic_flip'] = '上下反转';
$strings['generic_flop'] = '左右反转';

$strings['generic_msec'] = '微秒';
$strings['generic_done'] = '完成';
$strings['generic_failed'] = '失败';

$strings['generic_day'] = '日';
$strings['generic_days'] = '日';
$strings['generic_week'] = '周';
$strings['generic_weeks'] = '周';
$strings['generic_month'] = '月';
$strings['generic_months'] = '月';
$strings['generic_year'] = '年';
$strings['generic_years'] = '年';

$strings['generic_access_auth_users'] = '授权用户可存取';
$strings['generic_access_owner_only'] = '只有拥有者可存取';

$strings['generic_title'] = '标题';
$strings['generic_author'] = '作者';
$strings['generic_caption'] = '简短说明';
$strings['generic_location'] = '地点';
$strings['generic_keywords'] = '关键字';
$strings['generic_set_keywords'] = '设定关键字';
$strings['generic_clear_keywords'] = '清除关键字';
$strings['generic_headline'] = '大标题';
$strings['generic_caption_writer'] = '简短说明者';
$strings['generic_exposed'] = '拍摄日期';
$strings['generic_imported'] = '汇入日期';
$strings['generic_created'] = '建立日期';
$strings['generic_changed'] = '更改日期';
$strings['generic_category'] = '分类';
$strings['generic_version'] = '版本';
$strings['generic_credit'] = '荣誉归於';
$strings['generic_supplemental_category'] = '补充分类';
$strings['generic_copyright'] = '版权';
$strings['generic_copyright_license'] = '版权及许可证';
$strings['generic_web_statement'] = '网上声明';
$strings['generic_source'] = '来源';
$strings['generic_high_res_orig'] = '高解像正本';
$strings['generic_instructions'] = '指示';
$strings['generic_transmission_reference'] = '参考菲林';
$strings['generic_access'] = '存取';
$strings['generic_item'] = '项目';
$strings['generic_currency'] = '货币';
$strings['generic_price'] = '价格';
$strings['generic_remark'] = '附注';
$strings['generic_rating'] = '评分';
$strings['generic_rate'] = '评语';
$strings['generic_views'] = '观看次数';
$strings['generic_orig_file'] = '来源文件名称';
$strings['generic_order_added'] = '订单已加入';
$strings['generic_order_added_album'] = '相簿订单已加入';
$strings['generic_search_criteria'] = '搜寻条件';
$strings['generic_recursive'] = '包括所有下层(副)';
$strings['generic_selection'] = '选择';
$strings['generic_select_toggle'] = '切换选择';
$strings['generic_action'] = '动作';
$strings['generic_hide'] = '隐藏';
$strings['generic_images_here'] = '此处的相片';
$strings['generic_store_url'] = '购买网址';

$strings['generic_camera_metering'] = '相机测光';
$strings['generic_camera_program'] = '拍摄模式';
$strings['generic_focal_length'] = '焦距';
$strings['generic_aperture'] = '光圈';
$strings['generic_shutter'] = '快门';
$strings['generic_iso_override'] = 'ISO 感光速度';
$strings['generic_scan_parameters'] = '扫描参数';
$strings['generic_dpi'] = '解像度 dpi';
$strings['generic_bits'] = '位元 bits';
$strings['generic_passes'] = '扫描次数';
$strings['generic_flash_mode'] = '闪光灯模式';
$strings['generic_flash_comp'] = '闪光灯补偿';
$strings['generic_exp_comp'] = '曝光补偿';
$strings['generic_exp_diff'] = '曝光级别';
$strings['generic_colorspace'] = '相片色彩空间';
$strings['generic_rotation'] = '相片方向';

$strings['generic_best'] = '最好';
$strings['generic_worst'] = '最差';
$strings['generic_no_watermarking'] = '没有水印';
$strings['generic_northeast'] = '东北';
$strings['generic_northwest'] = '西北';
$strings['generic_north'] = '北';
$strings['generic_east'] = '东';
$strings['generic_west'] = '西';
$strings['generic_center'] = '中间';
$strings['generic_southeast'] = '东南';
$strings['generic_southwest'] = '西南';
$strings['generic_south'] = '南';
$strings['generic_automatic'] = '自动';
$strings['generic_modify'] = '修改';
$strings['generic_random'] = '随机';
$strings['generic_populate_from_spool'] = '从中介空间(Spool) 复制相片至相簿';
$strings['generic_po_powered_by'] = '本网页运行程式 <a href="http://po.shaftnet.org/">Photo Organizer</a> ';
$strings['generic_po_copyright'] = '<br/><a href="copyright.php">[版权及许可证声明]</a>';

$strings['generic_license_disclaimer'] = "以下之版权及许可证声明袛适用於本软件 (Photo Organizer)。所有本软件管理的用户资料版权，包括但并不止於相片，属於拥有者本身。除非版权拥有者作出许可声明，否则不可复制。";

  /* Mail messages */  /* Important -- use single quotes */

$strings['mail_login_info'] = '
   $site_title 登入资料 

   敬爱的 $user_data[first_name] $user_data[last_name],

   以下是你在 $site_title 的登入资料：

	用户名称:	$user_data[username]
	    密码:	$user_data[password]

   如要登入，请移玉步至

      $site_url
';

$strings['mail_mail_bottom'] = '

   本电邮是自动产生的，请勿回覆本电邮。

   谢谢！

           - $site_title 管理人员上';

$strings['mail_login_info_subject'] = '$site_title 登入资料';


$strings['mail_new_sub_top'] = '
   $site_title 客户订阅通知

   敬爱的 $user_data[0],

   在 $client_data[5], $client_data[0] $client_data[1] 登记为你的订户。状态为： *$client_data[3]*, 表示 $client_data[0] $client_data[1] ';

$strings['mail_new_sub_pending'] = '不能存取你已保护的相片。 

   若想你的新订户可以存取你已保护的相片，请到 $site_title 网站更改订户状态为 *接受*。';

$strings['mail_new_sub_accepted'] = '现可存取你已保护的相片。

   若不想订户可以存取你已保护的相片，请到 $site_title 网站更改订户状态为 *拒绝*。';

$strings['mail_new_client_subject'] = '$site_title 客户订阅通知';

$strings['mail_new_client_top'] = '
   $site_title 客户订阅通知

   敬爱的 $client_data[0],

   在 $client_data[5], 你登记为 $user_data[0] $user_data[1] 的订户。状态为： *$client_data[3]*, 表示你 ';
$strings['mail_new_client_pending'] = '不能存取 $user_data[0] $user_data[1] 已保护的相片。  

   $user_data[0] $user_data[1] 也已被通知并可能会接受你的申请。';

$strings['mail_new_client_accepted'] = '可存取 $user_data[0] $user_data[1] 已保护的相片';

$strings['mail_client_footer'] = '

  $user_data[0] $user_data[1] 有权随时更改你的订户状态。如你的状态被更改，你会收到通知。'; 

$strings['mail_client_status_top'] = '
   $site_title 客户订阅状态通知 

   敬爱的 $client_data[0],

   $user_data[0] $user_data[1] 更改了你的订户状态，现在是： *$client_data[3]*。表示你 ';

$strings['mail_client_status_pending'] = '不能存取 $user_data[0] $user_data[1] 已保护的相片。';

$strings['mail_client_status_rejected'] = '不能存取 $user_data[0] $user_data[1] 已保护的相片。';

$strings['mail_client_status_accepted'] = '可存取 $user_data[0] $user_data[1] 已保护的相片。';

$strings['mail_client_status_subject'] = '$site_title 客户订阅状态通知';

$strings['mail_account_status'] = '
   $site_title 户口状态通知 

   敬爱的 $user_data[0],

   你的 $site_title 户口设定已更改为：

         户口类别：	$user_data[4]
         批量上载：	$user_data[5]
     储存空间限制：	$user_data[7] MB	(0 代表无限)
     相片数量限制：	$user_data[8] 幅	(0 代表无限)

   如有任何问题，请联络 $site_title 网站管理员。
';

$strings['mail_account_status_subject'] = '$site_title 户口状态通知';

?>
